package com.taauav.front.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.TauvEquipment;
import com.taauav.admin.service.ITauvEquipmentService;
import com.taauav.common.bean.Response;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 实时视频管理控制器
 *
 * @author daixiantong
 * @date 2020-05-26
 */
@RestController
@RequestMapping("/front/equipment")
public class UserEquipmentController {
    @Autowired
    private ITauvEquipmentService equipmentService;
    @Resource
    private Response response;

    /**
     * 实时视频列表
     * @return
     */
    @GetMapping("/index")
    @RequiresPermissions("userEquipment:index")
    public Response liveList() {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("mark", 1);
        List<TauvEquipment> list = equipmentService.list(wrapper);
        return response.success(list);
    }
}
