package com.taauav.front.mapper;

import com.taauav.admin.entity.TauvWaterAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 水质报警 Mapper 接口
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface UserWaterAlarmMapper extends BaseMapper<TauvWaterAlarm> {

    /**
     * 数据统计水质污染程度统计
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    List<Map<String, Object>> getWaterAlarmInfoList(@Param("startTime") String startTime, @Param("endTime") String endTime);

    /**
     * 单条河流水质分析
     *
     * @param param 参数
     * @return
     */
    Map<String, Object> getDriverWaterAlarmInfo(@Param("param") Map<String, Object> param);

    /**
     * 多条河流水质分析
     *
     * @param param 参数
     * @return
     */
    Map<String, Object> getMultiDriverWaterAlarmInfo(@Param("param") Map<String, Object> param);

}
