package com.taauav.front.service;

import com.taauav.admin.entity.SysCity;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.entity.UserDep;
import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.front.vo.UserDepListVo;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 部门管理表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-25
 */
public interface IUserDepService extends IBaseService<UserDep> {

    /**
     * 获取部门列表
     *
     * @return
     */
    Response getList();

    /**
     * 添加部门
     *
     * @param entity 实体对象
     * @return
     */
    Response add(UserDep entity);

    /**
     * 获取机构详情
     *
     * @param id 机构ID
     * @return
     */
    Response info(Integer id);

    /**
     * 编辑机构
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(UserDep entity);

    /**
     * 删除机构
     *
     * @param id 机构ID
     * @return
     */
    Response delete(Integer id);

    /**
     * 设置状态
     *
     * @param entity 实体对象
     * @return
     */
    Response setStatus(UserDep entity);

}
