package com.taauav.front.vo;

import com.taauav.admin.entity.TauvDriverPoint;
import lombok.Data;

import java.math.BigInteger;
import java.util.List;

/**
 * 数据、指挥大屏 河湖数据返回结果实体类
 *
 * @author daixiantong
 * @date 2020-05-23
 */
@Data
public class IndexDriverVo {
    /**
     * 河湖id
     */
    private Integer id;

    /**
     * 河湖名称
     */
    private String name;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 坐标点数组
     */
    private List<TauvDriverPoint> pointList;

    /**
     * 多光谱图路径
     */
    private String spectrumUrl;

    /**
     * 左下纬度
     */
    private String leftLatitude;

    /**
     * 左下经度
     */
    private String leftLongitude;

    /**
     * 右上纬度
     */
    private String rightLatitude;

    /**
     * 右上经度
     */
    private String rightLongitude;
}
